$starting-height: 0px;
$ending-height: 500px;

$starting-opacity: 0;
$ending-opacity: 1;

$transition-duration: 300ms;

.goal-enter {
  max-height: $starting-height;
  opacity: $starting-opacity;
  overflow: hidden;
}

.goal-enter-active {
  max-height: $ending-height;
  opacity: $ending-opacity;
  transition: max-height $transition-duration,
              opacity $transition-duration;
}

.goal-exit {
  max-height: $ending-height;
  opacity: $ending-opacity;
}

.goal-exit-active {
  max-height: $starting-height;
  opacity: $starting-opacity;
  overflow: hidden;
  transition: max-height $transition-duration,
              opacity $transition-duration;
}
